llng-fastcgi-server(1)

NAME
llng-fastcgi-server - FastCGI server used to provide Lemonldap::NG services to Nginx

SYNOPSIS
  # Start server listening to /run/llng.sock with 10 process
  llng-fastcgi-server -u nobody -g nobody -s /run/llng.sock -n 10

DESCRIPTION
llng-fastcgi-server has been designed provides Lemonldap::NG services to Nginx. Portal, manager and handler will be compiled only is used. So this FastCGI server can be used on every Lemonldap::NG server even if it needs only some parts (isolated handlers, portal,...).

PARAMETERS
Each parameter can be set by an option or a environment variable.

--pid -p ($ENV{PID}):       pid file
--user -u ($ENV{USER}):     user
--group -g ($ENV{GROUP}):   group
--proc -n ($ENV{NPROC}):    Number of processus for FCGI
--engine -e ($ENV{ENGINE}): Plack::Handler engine, default to FCGI
--socket -s ($ENV{SOCKET}): Unix socket
--customFunctionsFile -f ($ENV{CUSTOM_FUNCTIONS_FILE}): file to load for custom functions
--plackOptions: other options to pass to Plack. This multi-valued parameter must have "key=value" values.

SEE ALSO
<http://lemonldap-ng.org/>

AUTHORS

Clement Oudot, <clem.oudot@gmail.com>
Xavier Guimard, <x.guimard@free.fr>

BUG REPORT
Use OW2 system to report bug or ask for features: <http://jira.ow2.org>

DOWNLOAD
Lemonldap::NG is available at <http://forge.objectweb.org/project/showfiles.php?group_id=274>

COPYRIGHT AND LICENSE

Copyright (C) 2008-2016 by Xavier Guimard, <x.guimard@free.fr>
Copyright (C) 2008-2016 by Clement Oudot, <clem.oudot@gmail.com>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.